{% extends "car_collection/__base.html" %}

{% load static %}

{% block content %}
<div class="card shadow">
  <div class="card-header">
    Toutes les marques ({{ page_obj.paginator.count }} marques)
  </div>
  <div class="card-body">
    <table class="table align-middle">
      <thead class="thead-light">
        <tr>
          <th scope="col">Nom</th>
          <th scope="col">Logo</th>
          <th scope="col">Actions</th>
        </tr>
      </thead>
      <tbody>
        {% for brand in brand_list %}
        <tr>
          <td>
            <a href="{% url 'brand' brand.id %}">
              {{ brand.name }}
            </a>
          </td>
          <td>
            {% if brand.logo %}
            <img src="{{ brand.logo.url }}" height="60"/>
            {% endif %}
          </td>
          <td>
            <a type="button" class="btn btn-warning btn-sm" href="{% url 'brand_edit' brand.id %}">
              <img class="img-fluid" src="{% static 'car_collection/adwaita_scalable/actions/document-edit-symbolic.svg' %}" title="Editer" />
            </a>
            <a type="button" class="btn btn-warning btn-sm" href="{% url 'brand_delete' brand.id %}">
              <img class="img-fluid" src="{% static 'car_collection/adwaita_scalable/places/user-trash-symbolic.svg' %}" title="Supprimer" />
            </a>
          </td>
        </tr>
        {% endfor %}
      </tbody>
    </table>
    {% if is_paginated %}
      {% include "car_collection/_pagination.html" %}
    {% endif %}
  </div>
</div>
{% endblock %}
